package com.rkk.javademo;

import android.graphics.Color;
import android.os.Build;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.webkit.WebChromeClient;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import com.dcloud.update.UpdateSDK;

public class MainActivity extends AppCompatActivity {

    private int mCurrentAction = MotionEvent.ACTION_UP;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.e("rkk", ": onCreate Activity" );

        UpdateSDK.init("7efb5561611a7b0df27de05d08878041");
        new UpdateSDK().check(this);
        WebView view = new WebView(this);
        view.setWebChromeClient(new WebChromeClient(){

        });

        view.setWebViewClient(new WebViewClient(){
            @Override
            public boolean shouldOverrideKeyEvent(WebView view, KeyEvent event) {
                Log.e("rkk", "shouldOverrideKeyEvent: "  + event.toString());
                return super.shouldOverrideKeyEvent(view, event);
            }

//            @Override
//            public boolean shouldOverrideUrlLoading(WebView view, WebResourceRequest request) {
//                Log.e("rkk", "shouldOverrideUrlLoading: " + request.getUrl());
//                if(mCurrentAction != MotionEvent.ACTION_UP){
//                    return true;
//                }
//                return super.shouldOverrideUrlLoading(view, request);
//            }

            @Nullable
            @Override
            public WebResourceResponse shouldInterceptRequest(WebView view, WebResourceRequest request) {
                Log.e("rkk", "shouldInterceptRequest: " + request.getUrl());
                return super.shouldInterceptRequest(view, request);
            }
        });
        view.getSettings().setJavaScriptEnabled(true);
        setContentView(view);
        view.loadUrl("http:\\/\\/xkxy.kdk30.top\\/app\\/index.php?i=1&c=entry&eid=1");

        view.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View view, MotionEvent motionEvent) {
                mCurrentAction = motionEvent.getAction();
//                Log.e("rkk", "onTouch: "  + motionEvent.toString());
//                switch (motionEvent.getAction()){
//                    case MotionEvent.ACTION_DOWN:
//                        Log.e("rkk", "onTouch: " + "ACTION_DOWN");
//                }
                return false;
            }
        });
        getWindow().getDecorView().setSystemUiVisibility(
                View.SYSTEM_UI_FLAG_LAYOUT_STABLE
                        | View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN
                        | View.SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION);

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {
            getWindow().setStatusBarColor(Color.TRANSPARENT);
            getWindow().setNavigationBarColor(Color.TRANSPARENT);
        }

        // 沉浸式状态栏
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        // 透明导航栏
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_NAVIGATION);
    }

    @Override
    public boolean dispatchTouchEvent(MotionEvent ev) {
//        Log.e("rkk", "dispatchTouchEvent: " + ev.toString());
        return super.dispatchTouchEvent(ev);
    }
}
